package com.huiju.estateagents.excel.QrCodeStatistics;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class QrCodeVisitNum {
    /**
     * 姓名
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "姓名", index = 0)
    private String nickName;

    /**
     * 电话
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "电话", index = 1)
    private String phone;

    /**
     * 性别
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "性别", index = 2)
    private String gender;

    /**
     * 归属地
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "归属地", index = 3)
    private String province;

    /**
     * 访问次数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "访问时间", index = 4)
    private String visitTime;
}
