package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.TpBillOrder;

/**
 * <p>
 * 缴费订单表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-04-18
 */
public interface IBillOrderService extends IService<TpBillOrder> {

    /**
     * 根据订单号，查询 缴费单
     * @param userElement
     * @param orderNumber
     * @return
     */
    ResponseBean getByOrderNumberBillInvoice(TaUser userElement, String orderNumber);

}
