package com.huiju.estateagents.property.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.center.taUser.entity.TaUser;
import com.huiju.estateagents.property.common.UserElement;
import com.huiju.estateagents.property.model.TaUserLicenseOrder;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 月租车缴费订单表 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
public interface ITaUserLicenseOrderService extends IService<TaUserLicenseOrder> {

    /**
     * 获取所有缴费记录
     * @param id
     * @param licensePlate
     * @param orderNumber
     * @param paymentName
     * @param paymentTel
     * @return
     */
    ResponseBean getAll(Integer id, String licensePlate, String orderNumber, String paymentName, String paymentTel, Integer pageNum, Integer pageSize, TaUser userElement);

    /**
     * 导出数据
     * @param userElement
     * @return
     */
    ResponseBean exportDate(TaUser userElement);
	
	List<Map<String, Object>> getPriceCount();
}
